Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-11.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-11.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-11.dot
@@ -14,7 +14,6 @@ digraph "g" {
 "group1_stopped_0" -> "rsc3_stop_0 node2" [ style = bold]
 "group1_stopped_0" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
-"rsc1_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" -> "group1_running_0" [ style = bold]
 "rsc1_start_0 node2" -> "rsc2_start_0 node2" [ style = bold]
@@ -24,7 +23,6 @@ digraph "g" {
 "rsc1_stop_0 node1" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_stop_0 node1" [ style=bold color="green" fontcolor="orange" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
-"rsc2_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" -> "group1_running_0" [ style = bold]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-11.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-11.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-11.exp
@@ -117,9 +117,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-      </trigger>
-      <trigger>
         <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
@@ -172,9 +169,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-      </trigger>
-      <trigger>
         <pseudo_event id="12" operation="stop" operation_key="group1_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-4.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-4.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-4.dot
@@ -2,14 +2,12 @@ digraph "g" {
 "all_stopped" -> "stonith-1_start_0 node2" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
-"rsc1_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc1_stop_0 node1" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_stop_0 node1" [ style=bold color="green" fontcolor="orange" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
-"rsc2_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_stop_0 node1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-4.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-4.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-4.exp
@@ -51,9 +51,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-      </trigger>
-      <trigger>
         <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
@@ -94,9 +91,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-      </trigger>
-      <trigger>
         <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-6.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-6.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-6.dot
@@ -2,14 +2,12 @@ digraph "g" {
 "all_stopped" -> "stonith-1_start_0 node2" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
-"rsc1_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc1_stop_0 node1" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_stop_0 node1" [ style=bold color="green" fontcolor="orange" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
-"rsc2_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_stop_0 node1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-6.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-6.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-6.exp
@@ -51,9 +51,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-      </trigger>
-      <trigger>
         <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
@@ -94,9 +91,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-      </trigger>
-      <trigger>
         <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-7.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-7.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-7.dot
@@ -2,14 +2,12 @@ digraph "g" {
 "all_stopped" -> "stonith-1_start_0 node2" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
-"rsc1_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc1_stop_0 node1" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_stop_0 node1" [ style=bold color="green" fontcolor="orange" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
-"rsc2_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_stop_0 node1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-7.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-7.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-7.exp
@@ -51,9 +51,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-      </trigger>
-      <trigger>
         <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
@@ -94,9 +91,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-      </trigger>
-      <trigger>
         <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-8.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-8.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-8.dot
@@ -1,14 +1,12 @@
  digraph "g" {
 "all_stopped" [ style=dashed color="red" fontcolor="orange" ]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = dashed]
-"rsc1_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = dashed]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" [ style=dashed color="red" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "all_stopped" [ style = dashed]
 "rsc1_stop_0 node1" -> "rsc1_start_0 node2" [ style = dashed]
 "rsc1_stop_0 node1" [ style=dashed color="red" fontcolor="black" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = dashed]
-"rsc2_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = dashed]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=dashed color="red" fontcolor="black" ]
 "rsc2_stop_0 node1" -> "all_stopped" [ style = dashed]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-5.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-rsc-5.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-5.dot
@@ -8,7 +8,6 @@ digraph "g" {
 "rsc1_stop_0 node2" -> "rsc1_start_0 node1" [ style = bold]
 "rsc1_stop_0 node2" [ style=bold color="green" fontcolor="orange" ]
 "rsc2_monitor_0 node1" -> "rsc2_start_0 node1" [ style = bold]
-"rsc2_monitor_0 node1" -> "rsc2_stop_0 node2" [ style = bold]
 "rsc2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc2_stop_0 node2" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-5.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-rsc-5.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-5.exp
@@ -91,9 +91,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-      </trigger>
-      <trigger>
         <crm_event id="11" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-startup-probes.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-startup-probes.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-startup-probes.dot
@@ -1,6 +1,5 @@
  digraph "g" {
 "FAKE1_monitor_0 remote1" -> "FAKE1_start_0 18node2" [ style = bold]
-"FAKE1_monitor_0 remote1" -> "FAKE1_stop_0 18builder" [ style = bold]
 "FAKE1_monitor_0 remote1" [ style=bold color="green" fontcolor="black"]
 "FAKE1_monitor_60000 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKE1_start_0 18node2" -> "FAKE1_monitor_60000 18node2" [ style = bold]
@@ -9,7 +8,6 @@
 "FAKE1_stop_0 18builder" -> "all_stopped" [ style = bold]
 "FAKE1_stop_0 18builder" [ style=bold color="green" fontcolor="black"]
 "FAKE2_monitor_0 remote1" -> "FAKE2_start_0 remote1" [ style = bold]
-"FAKE2_monitor_0 remote1" -> "FAKE2_stop_0 18node2" [ style = bold]
 "FAKE2_monitor_0 remote1" [ style=bold color="green" fontcolor="black"]
 "FAKE2_monitor_60000 remote1" [ style=bold color="green" fontcolor="black"]
 "FAKE2_start_0 remote1" -> "FAKE2_monitor_60000 remote1" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-startup-probes.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-startup-probes.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-startup-probes.exp
@@ -57,11 +57,7 @@
         <attributes CRM_meta_on_node="18builder" CRM_meta_on_node_uuid="5" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="7" operation="monitor" operation_key="FAKE1_monitor_0" on_node="remote1" on_node_uuid="remote1" router_node="18builder"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="5">
     <action_set>
@@ -118,11 +114,7 @@
         <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="FAKE2_monitor_0" on_node="remote1" on_node_uuid="remote1" router_node="18builder"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="9">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rsc-discovery-per-node.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rsc-discovery-per-node.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rsc-discovery-per-node.dot
@@ -13,10 +13,8 @@
 "FAKE1_start_0 18node2" -> "FAKE1_monitor_60000 18node2" [ style = bold]
 "FAKE1_start_0 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKE2_monitor_0 18node3" -> "FAKE2_start_0 18node3" [ style = bold]
-"FAKE2_monitor_0 18node3" -> "FAKE2_stop_0 18node2" [ style = bold]
 "FAKE2_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKE2_monitor_0 18node4" -> "FAKE2_start_0 18node3" [ style = bold]
-"FAKE2_monitor_0 18node4" -> "FAKE2_stop_0 18node2" [ style = bold]
 "FAKE2_monitor_0 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKE2_monitor_60000 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKE2_start_0 18node3" -> "FAKE2_monitor_60000 18node3" [ style = bold]
@@ -25,10 +23,8 @@
 "FAKE2_stop_0 18node2" -> "all_stopped" [ style = bold]
 "FAKE2_stop_0 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKE3_monitor_0 18node3" -> "FAKE3_start_0 18node4" [ style = bold]
-"FAKE3_monitor_0 18node3" -> "FAKE3_stop_0 18builder" [ style = bold]
 "FAKE3_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKE3_monitor_0 18node4" -> "FAKE3_start_0 18node4" [ style = bold]
-"FAKE3_monitor_0 18node4" -> "FAKE3_stop_0 18builder" [ style = bold]
 "FAKE3_monitor_0 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKE3_monitor_60000 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKE3_start_0 18node4" -> "FAKE3_monitor_60000 18node4" [ style = bold]
@@ -37,10 +33,8 @@
 "FAKE3_stop_0 18builder" -> "all_stopped" [ style = bold]
 "FAKE3_stop_0 18builder" [ style=bold color="green" fontcolor="black"]
 "FAKE4_monitor_0 18node3" -> "FAKE4_start_0 remote1" [ style = bold]
-"FAKE4_monitor_0 18node3" -> "FAKE4_stop_0 18node1" [ style = bold]
 "FAKE4_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKE4_monitor_0 18node4" -> "FAKE4_start_0 remote1" [ style = bold]
-"FAKE4_monitor_0 18node4" -> "FAKE4_stop_0 18node1" [ style = bold]
 "FAKE4_monitor_0 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKE4_monitor_60000 remote1" [ style=bold color="green" fontcolor="black"]
 "FAKE4_start_0 remote1" -> "FAKE4_monitor_60000 remote1" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rsc-discovery-per-node.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rsc-discovery-per-node.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rsc-discovery-per-node.exp
@@ -186,14 +186,7 @@
         <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="21" operation="monitor" operation_key="FAKE2_monitor_0" on_node="18node3" on_node_uuid="3"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="30" operation="monitor" operation_key="FAKE2_monitor_0" on_node="18node4" on_node_uuid="4"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="16">
     <action_set>
@@ -252,14 +245,7 @@
         <attributes CRM_meta_on_node="18builder" CRM_meta_on_node_uuid="5" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="22" operation="monitor" operation_key="FAKE3_monitor_0" on_node="18node3" on_node_uuid="3"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="31" operation="monitor" operation_key="FAKE3_monitor_0" on_node="18node4" on_node_uuid="4"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="21">
     <action_set>
@@ -324,14 +310,7 @@
         <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="23" operation="monitor" operation_key="FAKE4_monitor_0" on_node="18node3" on_node_uuid="3"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="32" operation="monitor" operation_key="FAKE4_monitor_0" on_node="18node4" on_node_uuid="4"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="26">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rsc-sets-clone-1.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rsc-sets-clone-1.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rsc-sets-clone-1.dot
@@ -62,7 +62,6 @@ digraph "g" {
 "stonithsys2_start_0 sys3" -> "stonithsys2_monitor_15000 sys3" [ style = bold]
 "stonithsys2_start_0 sys3" [ style=bold color="green" fontcolor="black" ]
 "stonithsys3_monitor_0 sys3" -> "stonithsys3_start_0 sys2" [ style = bold]
-"stonithsys3_monitor_0 sys3" -> "stonithsys3_stop_0 sys2" [ style = bold]
 "stonithsys3_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
 "stonithsys3_monitor_15000 sys2" [ style=bold color="green" fontcolor="black" ]
 "stonithsys3_start_0 sys2" -> "stonithsys3_monitor_15000 sys2" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rsc-sets-clone-1.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rsc-sets-clone-1.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rsc-sets-clone-1.exp
@@ -42,11 +42,7 @@
         <attributes CRM_meta_on_node="sys2" CRM_meta_on_node_uuid="sys2" CRM_meta_timeout="20000"  hostname="sys3" interface="lan" ipaddr="192.168.1.222" passwd="****" userid="admin"/>
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="15" operation="monitor" operation_key="stonithsys3_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="5">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rsc_dep4.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rsc_dep4.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rsc_dep4.dot
@@ -12,7 +12,6 @@
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_monitor_0 node2" -> "rsc4_start_0 node2" [ style = bold]
-"rsc4_monitor_0 node2" -> "rsc4_stop_0 node1" [ style = bold]
 "rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_stop_0 node1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rsc_dep4.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rsc_dep4.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rsc_dep4.exp
@@ -56,11 +56,7 @@
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000"  priority="2.0"/>
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="rsc4_monitor_0" on_node="node2" on_node_uuid="node2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
    <synapse id="5" priority="2">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/unfence-definition.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/unfence-definition.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/unfence-definition.dot
@@ -60,7 +60,6 @@ digraph "g" {
 "fencing_delete_0 virt-1" -> "fencing_start_0 virt-1" [ style = bold]
 "fencing_delete_0 virt-1" [ style=bold color="green" fontcolor="black"]
 "fencing_monitor_0 virt-3" -> "fencing_start_0 virt-1" [ style = bold]
-"fencing_monitor_0 virt-3" -> "fencing_stop_0 virt-1" [ style = bold]
 "fencing_monitor_0 virt-3" [ style=bold color="green" fontcolor="black"]
 "fencing_start_0 virt-1" [ style=bold color="green" fontcolor="black"]
 "fencing_stop_0 virt-1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/unfence-definition.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/unfence-definition.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/unfence-definition.exp
@@ -54,11 +54,7 @@
         <attributes CRM_meta_on_node="virt-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="fencing_monitor_0" on_node="virt-3" on_node_uuid="3"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="4">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/unfence-parameters.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/unfence-parameters.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/unfence-parameters.dot
@@ -58,7 +58,6 @@ digraph "g" {
 "dlm_stop_0 virt-1" -> "stonith 'on' virt-1" [ style = bold]
 "dlm_stop_0 virt-1" [ style=bold color="green" fontcolor="black"]
 "fencing_monitor_0 virt-3" -> "fencing_start_0 virt-1" [ style = bold]
-"fencing_monitor_0 virt-3" -> "fencing_stop_0 virt-1" [ style = bold]
 "fencing_monitor_0 virt-3" [ style=bold color="green" fontcolor="black"]
 "fencing_start_0 virt-1" [ style=bold color="green" fontcolor="black"]
 "fencing_stop_0 virt-1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/unfence-parameters.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/unfence-parameters.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/unfence-parameters.exp
@@ -6,11 +6,7 @@
         <attributes CRM_meta_on_node="virt-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="fencing_monitor_0" on_node="virt-3" on_node_uuid="3"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="1" priority="1000000">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-migrate1.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-migrate1.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-migrate1.dot
@@ -27,7 +27,6 @@
 "rhel7-node1_migrate_to_0 rhel7-node2" [ style=bold color="green" fontcolor="black"]
 "rhel7-node1_monitor_0 rhel7-node3" -> "rhel7-node1_migrate_to_0 rhel7-node2" [ style = bold]
 "rhel7-node1_monitor_0 rhel7-node3" -> "rhel7-node1_start_0 rhel7-node3" [ style = bold]
-"rhel7-node1_monitor_0 rhel7-node3" -> "rhel7-node1_stop_0 rhel7-node2" [ style = bold]
 "rhel7-node1_monitor_0 rhel7-node3" [ style=bold color="green" fontcolor="black"]
 "rhel7-node1_monitor_30000 rhel7-node3" [ style=bold color="green" fontcolor="black"]
 "rhel7-node1_start_0 rhel7-node3" -> "rhel7-node1_monitor_30000 rhel7-node3" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-migrate1.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-migrate1.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-migrate1.exp
@@ -207,9 +207,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="12" operation="monitor" operation_key="rhel7-node1_monitor_0" on_node="rhel7-node3" on_node_uuid="3"/>
-      </trigger>
-      <trigger>
         <rsc_op id="40" operation="migrate_from" operation_key="rhel7-node1_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering-move.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-ms-ordering-move.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering-move.dot
@@ -44,16 +44,12 @@ digraph "g" {
 "lxc-ms_stop_0 lxc1" -> "lxc1_stop_0 rhel7-1" [ style = bold]
 "lxc-ms_stop_0 lxc1" [ style=bold color="green" fontcolor="black"]
 "lxc1_monitor_0 rhel7-2" -> "lxc1_start_0 rhel7-2" [ style = bold]
-"lxc1_monitor_0 rhel7-2" -> "lxc1_stop_0 rhel7-1" [ style = bold]
 "lxc1_monitor_0 rhel7-2" [ style=bold color="green" fontcolor="black"]
 "lxc1_monitor_0 rhel7-3" -> "lxc1_start_0 rhel7-2" [ style = bold]
-"lxc1_monitor_0 rhel7-3" -> "lxc1_stop_0 rhel7-1" [ style = bold]
 "lxc1_monitor_0 rhel7-3" [ style=bold color="green" fontcolor="black"]
 "lxc1_monitor_0 rhel7-4" -> "lxc1_start_0 rhel7-2" [ style = bold]
-"lxc1_monitor_0 rhel7-4" -> "lxc1_stop_0 rhel7-1" [ style = bold]
 "lxc1_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
 "lxc1_monitor_0 rhel7-5" -> "lxc1_start_0 rhel7-2" [ style = bold]
-"lxc1_monitor_0 rhel7-5" -> "lxc1_stop_0 rhel7-1" [ style = bold]
 "lxc1_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
 "lxc1_monitor_30000 rhel7-2" [ style=bold color="green" fontcolor="black"]
 "lxc1_start_0 rhel7-2" -> "lxc-ms_promote_0 lxc1" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering-move.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-ms-ordering-move.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering-move.exp
@@ -264,18 +264,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="26" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-2" on_node_uuid="2"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="28" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="30" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="32" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
-      </trigger>
-      <trigger>
         <rsc_op id="103" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
       </trigger>
       <trigger>
